/* space.c */

#include "config.h"

#ifdef P9164_CNTLS
#define MAX_ADAPTERS (P9164_CNTLS+P9163_CNTLS+P9162_CNTLS+P9161_CNTLS+P916_CNTLS) 

#elif P9163_CNTLS
#define MAX_ADAPTERS (P9163_CNTLS+P9162_CNTLS+P9161_CNTLS+P916_CNTLS) 

#elif P9162_CNTLS
#define MAX_ADAPTERS (P9162_CNTLS+P9161_CNTLS+P916_CNTLS) 

#elif P9161_CNTLS
#define MAX_ADAPTERS (P9161_CNTLS+P916_CNTLS) 

#else
#define MAX_ADAPTERS (P916_CNTLS) 
#endif

int p916_num_dev = MAX_ADAPTERS;

char *Pnpid1="0";
char *Pnpid2="0";
char *Pnpid3="0";
char *Pnpid4="0";

typedef	struct {
	int  start_addr; /* RAM starting address	*/
	int  end_addr;	 /* RAM ending address	*/
	int  IRQ;	 /* Interrupt 		*/
	int  PORT;	 /* I/O address		*/
} T_p916_sdev;

T_p916_sdev	Sdev[MAX_ADAPTERS] = {
#ifdef P916_0
	{
		P916_0_SCMA, 	/* RAM starting address */
		P916_0_ECMA,	/* RAM ending address	*/
		P916_0_VECT,	/* IRQ			*/
		P916_0_SIOA		/* I/O address		*/
	}
#endif
#ifdef P9161_0
	,
	{
		P916_0_SCMA, 	/* RAM starting address */
		P9161_0_ECMA,	/* RAM ending address	*/
		P9161_0_VECT,	/* IRQ			*/
		P9161_0_SIOA	/* I/O address		*/
	}
#endif
#ifdef P9162_0
	,
	{
		P916_0_SCMA, 	/* RAM starting address */
		P9162_0_ECMA,	/* RAM ending address	*/
		P9162_0_VECT,	/* IRQ			*/
		P9162_0_SIOA	/* I/O address		*/
	}
#endif
#ifdef P9163_0
	,
	{
		P916_0_SCMA, 	/* RAM starting address */
		P9163_0_ECMA,	/* RAM ending address	*/
		P9163_0_VECT,	/* IRQ			*/
		P9163_0_SIOA	/* I/O address		*/
	}
#endif
#ifdef P9164_0
	,
	{
		P916_0_SCMA, 	/* RAM starting address */
		P9164_0_ECMA,	/* RAM ending address	*/
		P9164_0_VECT,	/* IRQ			*/
		P9164_0_SIOA	/* I/O address		*/
	}
#endif
};
